## org.apache.mahout.math.hadoop
Class MatrixMultiplicationJob

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.common.AbstractJob
              org.apache.mahout.math.hadoop.MatrixMultiplicationJob

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

    public class MatrixMultiplicationJob

extends AbstractJob

Nested Class Summary
`static class` `MatrixMultiplicationJob.MatrixMultiplicationReducer`
`static class` `MatrixMultiplicationJob.MatrixMultiplyMapper`

Constructor Summary
`MatrixMultiplicationJob()`

Method Summary
`static org.apache.hadoop.mapred.JobConf` `createMatrixMultiplyJobConf(org.apache.hadoop.fs.Path aPath, org.apache.hadoop.fs.Path bPath, org.apache.hadoop.fs.Path outPath, int outCardinality)`
`static void` `main(java.lang.String[] args)`
`int` `run(java.lang.String[] strings)`

Methods inherited from class org.apache.mahout.common.AbstractJob
`addFlag, addInputOption, addOption, addOption, addOption, addOption, addOutputOption, getInputPath, getOption, getOutputPath, hasOption, keyFor, maybePut, parseArguments, parseDirectories, prepareJob, shouldRunNextPhase`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Constructor Detail

### MatrixMultiplicationJob

    public MatrixMultiplicationJob()

Method Detail

### createMatrixMultiplyJobConf

    public static org.apache.hadoop.mapred.JobConf createMatrixMultiplyJobConf(org.apache.hadoop.fs.Path aPath,
                                                                               org.apache.hadoop.fs.Path bPath,
                                                                               org.apache.hadoop.fs.Path outPath,
                                                                               int outCardinality)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### run

    public int run(java.lang.String[] strings)
            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.